Jack2 1.9.12

Classes | Typedefs | Enumerations | Functions | Variables
metadata.h File Reference

JACK Metadata API. More...

`#include <jack/types.h>`

Go to the source code of this file.

## Classes
struct | jack_property_t
struct | jack_description_t

## Typedefs
typedef void(* | JackPropertyChangeCallback) (jack_uuid_t subject, const char *key, jack_property_change_t change, void *arg)

## Enumerations
enum | jack_property_change_t { PropertyCreated, PropertyChanged, PropertyDeleted, PropertyCreated, PropertyChanged, PropertyDeleted }

## Functions
int | jack_set_property (jack_client_t *, jack_uuid_t subject, const char *key, const char *value, const char *type)
int | jack_get_property (jack_uuid_t subject, const char *key, char **value, char **type)
void | jack_free_description (jack_description_t *desc, int free_description_itself)
int | jack_get_properties (jack_uuid_t subject, jack_description_t *desc)
int | jack_get_all_properties (jack_description_t **descs)
int | jack_remove_property (jack_client_t *client, jack_uuid_t subject, const char *key)
int | jack_remove_properties (jack_client_t *client, jack_uuid_t subject)
int | jack_remove_all_properties (jack_client_t *client)
int | jack_set_property_change_callback (jack_client_t *client, JackPropertyChangeCallback callback, void *arg)

## Variables
const char * | JACK_METADATA_PRETTY_NAME
const char * | JACK_METADATA_HARDWARE
const char * | JACK_METADATA_CONNECTED
const char * | JACK_METADATA_PORT_GROUP
const char * | JACK_METADATA_ICON_SMALL
const char * | JACK_METADATA_ICON_LARGE

## Detailed Description

JACK Metadata API.

Definition in file metadata.h.